Bug 46697 - faxspool can't handle files with spaces in their names
faxspool can't handle files with spaces in their names
Product: Fedora
Classification: Fedora
Component: mgetty (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Nagy
: Patch
Depends On:
  Show dependency treegraph
Reported: 2001-06-29 16:44 EDT by Jonathan Kamens
Modified: 2016-07-26 19:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-10 09:59:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+

Attachments (Terms of Use)
fix faxspool to handle spaces in file names (1.06 KB, patch)
2001-06-29 16:46 EDT, Jonathan Kamens
no flags Details | Diff

  None (edit)
Description Jonathan Kamens 2001-06-29 16:44:32 EDT
Faxspool can't handle files with spaces in their names.  I fixed some of
the problem code, enough to be able to send a fax, but I don't know if I
got all of the problems.  I'll attach a patch.
Comment 1 Jonathan Kamens 2001-06-29 16:46:08 EDT
Created attachment 22247 [details]
fix faxspool to handle spaces in file names
Comment 2 Jason Vas Dias 2005-08-01 16:37:43 EDT
Sorry for the delay in processing this bug - it seems to have slipped through
the cracks somehow, and I have only recently taken over mgetty maintenance.

It should be noted that most or all of the mgetty utilities do not handle
spaces in file names. 

Contingent on getting agreement upstream to implement the large number of 
changes necessary to handle spaces in filenames, I will fix this in a future
mgetty release.
Comment 3 Bill Nottingham 2006-08-07 22:00:29 EDT
'Red Hat Raw Hide' refers to the development tree for Red Hat Linux.
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at

Red Hat apologizes that these issues were not resolved in a more
timely manner. However, we do want to make sure that important 
don't slip through the cracks. If these issues are still present
in a current release, such as Fedora Core 5, please move these
bugs to that product and version. Note that any remaining Red Hat
Raw Hide bugs will be closed as 'CANTFIX' on September 30, 2006.
Thanks again for your help.
Comment 4 Martin Nagy 2008-04-07 09:47:01 EDT
Package Change Request
Package Name: mgetty
New Branches: F-9
Please add new branch, I'd want to do some more or less experimental changes
that I rather wouldn't want to do in F9 anymore. Thanks.
Comment 5 Kevin Fenzi 2008-04-07 11:59:26 EDT
cvs done.
Comment 6 Martin Nagy 2008-04-10 09:59:05 EDT
Fixed in mgetty-1.1.36-1.fc10

Note You need to log in before you can comment on or make changes to this bug.